Falha ao atualizar. A resposta não é um JSON válido

No último mês, fiz um trabalho de manutenção de WordPress para uma cliente. Atualizamos WordPress, plugins, mudamos tema, implantamos sistema de backup e tudo mais. Mas, logo depois disso, ao realizar novas postagens, o seguinte erro começou a aparecer: Falha ao atualizar. A resposta não é um JSON válido.

É claro que o pânico bateu. Primeiro porque o site não era meu e era um site bem grande. Segundo, eu jamais tinha visto este erro na vida. Trabalho com WordPress desde 2006 e até então não passei por nada parecido.

O erro aparecia ao atualizar uma postagem. Principalmente ao adicionar links ou imagens. A partir daí, nada do que era acrescentado ao post era atualizado ou ficava salvo.

O jeito foi apelar ao santo Google e procurar por soluções para o problema. Spoiler: Conseguimos revolver, mas após tentar várias opções.

Como resolver o erro “Falha ao atualizar. A resposta não é um JSON válido:

Falha ao atualizar. A resposta não é um JSON válido

A primeira coisa que deve se fazer é um backup do seu site. Se algo der errado (e sempre pode dar, acredite), basta restaurar este backup para que tudo volte ao quase normal.

Uma vez que o backup foi feito, é hora de tentar as seguintes soluções:

Verifique se a URL do seu site está correta nas configurações do WordPress

Vá em Configurações > Geral e tenha certeza que o endereço está correto. Pode acontecer do usuário colocar http ao invés de https (desde que seu site tenha um certificado SSL) e isto pode causar erros de “mixed content”. Se tudo estiver correto no seu site, tente a próxima opção.

Configurações do site

O arquivo .htaccess pode estar apresentando problemas e precisa ser corrigido

Esta pode ser uma das causas do usuário estar visualizado o erro “Falha ao atualizar. A resposta não é um JSON válido”.

Uma das alternativas para resolver este problema é atualizando a estrutura de permalinks do site. Para isto, vá até Configurações > Links Permanentes:

Links Permantens WordPress

Selecione uma opção diferente da que utiliza normalmente e clique em “Salvar Alterações”. Depois, sem sair desta tela, selecione novamente a opção correta do seu site e salve novamente.

Vá até o post e tente atualizar ou fazer uma nova publicação. Veja se o erro persiste. Se persistir, ainda podemos fazer o seguinte:

Utilizando um programa de FTP (WinSCP, Filezilla) procure pelo arquivo .htaccess no seu servidor. Geralmente ele fica dentro da pasta public_html. (Caso não consiga localizar, peça ajuda ao seu servidor de hospedagem) Copie este arquivo para o seu computador e em seguida apague-o do servidor. Agora, volte no seu site, vá até as opções de Configurações > Links Permanentes e clique em “Salvar Alterações” para que um novo .htaccess seja gerado.

FTP - Resolver erro do WordPress

Vá até o editor e veja se o erro persiste. Se ainda estiver por lá, tente a próxima alternativa.

Desative todos os plugins

Algum plugin pode ser a causa deste problema. Para descartarmos esta possibilidade, desative todos os plugins e verifique se o erro desapareceu. Caso seja resolvido, agora precisamos descobrir qual o plugin que está causando o erro. Vá reativando um por vez e faça o teste para ver qual causou o erro. Descobrindo o causador, mantenha-o desativado e caso seja essencial para o seu projeto, tente procurar uma alternativa.

Faça um teste utilizando o tema padrão do WordPress

Modifique o tema do seu site para um tema padrão do WordPress (Twenty Twenty-Two, Twenty Twenty-One, etc) e faça o teste. Se o erro desaparecer, o ideal será utilizar um outro tema.

Utilize o Editor Clássico

Como resolver o erro Falha ao atualizar. A resposta não é um JSON válido

Por aqui, foi a única solução. Eu confesso que nunca gostei deste editor novo do WordPress. Mas me vi “obrigada” a me entender com ele. Mas para resolver o problema dessa cliente (e o de muitos outros usuários que tiveram o mesmo erro) esta foi a única alternativa.

Fiz a instalação do plugin Disable Gutenberg que simplesmente desabilita todas as funcionalidades do Gutenberg no WordPress (inclusive aquela coisa bisonha para editar Widgets). Uma outra alternativa é instalar o plugin Editor Clássico.

Se após tentar estas alternativas o erro ainda insiste em aparecer nesta tela, a única maneira de tentar resolver é tentar um contato com a sua hospedagem para verificar se há algum problema em seu servidor.

Para enviar seu comentário, preencha os campos abaixo:

Deixe um comentário

Esse site utiliza o Akismet para reduzir spam. Aprenda como seus dados de comentários são processados.

Seja o primeiro a comentar!